
First, it was a lot of light. My whole family was standing on the stairs of a building that had Roman columns. I saw that I was outside their hemisphere. Next, I saw myself in my hospital bed, except there were flowers and a white picket fence surrounding me with a priest standing over me. Then, I was in front of our church and was placed on an open flatbed truck. My feet were glued to the truck and what I thought were angels, were holding me. I saw a gate in front of me and I kept on hollering to my mother, 'I don't want to go.' I believe, to this day after all that I awakened from the coma.
